import MapCache from "./_MapCache.mjs";
import setCacheAdd from "./_setCacheAdd.mjs";
import setCacheHas from "./_setCacheHas.mjs";
function SetCache(values) {
  var index = -1, length = values == null ? 0 : values.length;
  this.__data__ = new MapCache();
  while (++index < length) {
    this.add(values[index]);
  }
}
SetCache.prototype.add = SetCache.prototype.push = setCacheAdd;
SetCache.prototype.has = setCacheHas;
export {
  SetCache as default
};
